/*
 * Copyright  2008 Nokia Corporation.
 */


// INCLUDE FILES
#include "MobilePaint.hrh"
#include "MobilePaintDocument.h"
#include "MobilePaintApplication.h"

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// CMobilePaintApplication::CreateDocumentL()
// Creates CApaDocument object
// -----------------------------------------------------------------------------
//
CApaDocument* CMobilePaintApplication::CreateDocumentL ( )
    {
    // Create an MobilePaint document, and return a pointer to it
    return CMobilePaintDocument::NewL (*this );
    }

// -----------------------------------------------------------------------------
// CMobilePaintApplication::AppDllUid()
// Returns application UID
// -----------------------------------------------------------------------------
//
TUid CMobilePaintApplication::AppDllUid ( ) const
    {
    // Return the UID for the MobilePaint application
    return KUidMobilePaintApp;
    }

// End of File
